org.apache.poi.hpsf

## Class HPSFException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.poi.hpsf.HPSFException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    MarkUnsupportedException, NoPropertySetStreamException, UnexpectedPropertySetTypeException, VariantTypeException

      public class HPSFException
      extends java.lang.Exception

  This exception is the superclass of all other checked exceptions thrown in this package. It supports a nested "reason" throwable, i.e. an exception that caused this one to be thrown.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HPSFException()` Creates an `HPSFException`.
    `HPSFException(java.lang.String msg)` Creates an `HPSFException` with a message string.
    `HPSFException(java.lang.String msg, java.lang.Throwable reason)` Creates an `HPSFException` with a message string and a reason.
    `HPSFException(java.lang.Throwable reason)` Creates a new `HPSFException` with a reason.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Throwable` | `getReason()` Returns the `Throwable` that caused this exception to be thrown or `null` if there was no such `Throwable`.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HPSFException

          public HPSFException()

      Creates an `HPSFException`.

    - #### HPSFException

          public HPSFException(java.lang.String msg)

      Creates an `HPSFException` with a message string.

      Parameters:
        `msg` - The message string.

    - #### HPSFException

          public HPSFException(java.lang.Throwable reason)

      Creates a new `HPSFException` with a reason.

      Parameters:
        `reason` - The reason, i.e. a throwable that indirectly caused this exception.

    - #### HPSFException

          public HPSFException(java.lang.String msg,
                               java.lang.Throwable reason)

      Creates an `HPSFException` with a message string and a reason.

      Parameters:
        `msg` - The message string.
        `reason` - The reason, i.e. a throwable that indirectly caused this exception.

  - ### Method Detail

    - #### getReason

          public java.lang.Throwable getReason()

      Returns the `Throwable` that caused this exception to be thrown or `null` if there was no such `Throwable`.

      Returns:
        The reason

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.